@charset "UTF-8";
/*=============================================
=                  MARK:Colores                   
=============================================*/
/* SCSS HEX */
/* SCSS Gradient */
/*=============================================
=                 MARK:Breakpoints                  
=============================================*/
/*=============================================
=                MARK:Estilos Base                   
=============================================*/
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-family: "REM", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
  font-display: swap;
  -webkit-tap-highlight-color: transparent;
}

html {
  scrollbar-width: none;
  scroll-behavior: smooth;
}
html ::-webkit-scrollbar {
  display: none;
}

body {
  background-color: #221e22;
  overflow-x: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  color: rgba(238, 238, 238, 0.8);
}

main {
  width: 100%;
  margin-top: 78px;
}
@media (width < 545px) {
  main {
    margin-top: 62px;
  }
}

.seccion_intro h2 {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  font-size: 2.5em;
  color: #865aca;
}
@media (width < 770px) {
  .seccion_intro h2 {
    font-size: 1.8em;
  }
}
.seccion_intro .parrafo_intro {
  font-size: 1.2em;
}
.seccion_intro h2,
.seccion_intro div {
  text-align: center;
}

/*=============================================
=         MARK:REsponsive Espacio                 
=============================================*/
@media (width <= 1238px) {
  header section,
  .portafolio,
  .habilidades_contenedor,
  .sobre_mi_contenedor {
    padding: 20px;
  }
}
@media (width <= 360px) {
  nav {
    padding: 20px;
  }
  header section,
  .portafolio,
  .habilidades_contenedor,
  .sobre_mi_contenedor {
    padding: 10px;
  }
}
/*=============================================
=                   MARK:Navbar                   
=============================================*/
nav {
  background-color: #31263e;
  padding: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 100;
}

.contenedor_nav {
  width: 1200px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}
.contenedor_nav ul {
  list-style: none;
  font-size: 1.2em;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 1.5em;
}
.contenedor_nav .link {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  text-decoration: none;
  color: #a381d7;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  padding: 0;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
}
@media (hover: hover) {
  .contenedor_nav .link:hover {
    color: #bfa8e3;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
  }
}
.contenedor_nav .linkTitulo {
  text-decoration: none;
  -webkit-transition: color 0.3s;
  transition: color 0.3s;
}
@media (hover: hover) {
  .contenedor_nav .linkTitulo:hover {
    color: #bfa8e3;
    -webkit-transition: color 0.3s;
    transition: color 0.3s;
  }
}
.contenedor_nav .linkActivo {
  background-color: rgba(120, 71, 196, 0.8);
  color: #31263e;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
  padding: 5px;
  border-radius: 20px;
  padding-left: 15px;
  padding-right: 15px;
}
.contenedor_nav .titulo {
  font-size: 1.3em;
  cursor: pointer;
  color: #946ed0;
}
.contenedor_nav .titulo_nav {
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 1em;
}
.contenedor_nav .titulo_nav img {
  width: 3.5em;
  aspect-ratio: 14/9;
}

/*=============================================
=                MARK:Enlaces Móvil                  
=============================================*/
.enlaces_nav_movil {
  position: fixed;
  width: 200px;
  right: -100%;
  background-color: #31263e;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 5px;
  border-radius: 10px 0px 0px 10px;
  z-index: 20;
  -webkit-transition: right 0.5s;
  transition: right 0.5s;
  margin-top: 94px;
}
.enlaces_nav_movil ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  list-style: none;
  font-size: 1.2em;
}
.enlaces_nav_movil li {
  padding-top: clamp(15px, 25%, 35px);
  padding-bottom: clamp(15px, 25%, 35px);
  text-align: center;
}
.enlaces_nav_movil a {
  color: #a381d7;
  text-decoration: none;
}
.enlaces_nav_movil.animar {
  -webkit-transition: right 0.5s;
  transition: right 0.5s;
  right: 0;
}
.enlaces_nav_movil .linkActivo {
  background-color: rgba(120, 71, 196, 0.8);
  color: #31263e;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
  padding: 5px;
  border-radius: 20px;
  padding-left: 15px;
  padding-right: 15px;
}

.oscurecer_fondo {
  visibility: hidden;
  opacity: 0;
  width: 100%;
  height: 100vh;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.6235294118);
  z-index: 10;
  overflow: hidden;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}
.oscurecer_fondo.mostrar {
  visibility: visible;
  opacity: 100;
}

.noScroll {
  overflow: hidden;
}

/*=============================================
=             MARK:Menú Hamburguesa                   
=============================================*/
.hamburguesa {
  cursor: pointer;
}
.hamburguesa .linea {
  width: 30px;
  height: 3px;
  background-color: #946ed0;
  margin-bottom: 5px;
  border-radius: 2px;
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
  transition: opacity 0.3s, -webkit-transform 0.3s;
  transition: transform 0.3s, opacity 0.3s;
  transition: transform 0.3s, opacity 0.3s, -webkit-transform 0.3s;
}
.hamburguesa .linea:last-child {
  margin-bottom: 0;
}
.hamburguesa.activo .linea:nth-child(1) {
  -webkit-transform: rotate(45deg) translate(5px, 5px);
          transform: rotate(45deg) translate(5px, 5px);
}
.hamburguesa.activo .linea:nth-child(2) {
  opacity: 0;
}
.hamburguesa.activo .linea:nth-child(3) {
  -webkit-transform: rotate(-45deg) translate(7px, -6px);
          transform: rotate(-45deg) translate(7px, -6px);
}

/*=============================================
=                  MARK:Responsive                  
=============================================*/
@media (width >= 545px) {
  nav {
    height: 79px;
  }
}
@media (width < 865px) {
  .enlaces_nav {
    display: none;
  }
}
@media (width >= 865px) {
  .hamburguesa,
  .enlaces_nav_movil {
    display: none;
  }
}
@media (width < 545px) {
  nav {
    height: 63px;
  }
  .titulo_nav {
    font-size: 0.6em;
  }
  .enlaces_nav_movil {
    margin-top: 78px;
  }
  .enlaces_nav_movil ul {
    font-size: 1em;
  }
}
/*============  End of Resposive  =============*/
.boton, .boton_secundario, .portafolio_card .portafolio_botones .botones_ver a, header .contenedor_texto_header .contenedor_botones_header a.descargar_cv, .boton_principal, .habilidades .card_lenguaje .boton_saber_mas, .portafolio_card .portafolio_botones button, header .contenedor_texto_header .contenedor_botones_header a.contactame {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 100%;
  font-size: 1.1em;
  border-radius: 50px;
  min-height: 2.5em;
  border: none;
  cursor: pointer;
  color: rgba(238, 238, 238, 0.8);
  -webkit-box-shadow: 0px 0px 0px 0px #7847c4;
          box-shadow: 0px 0px 0px 0px #7847c4;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.boton a, .boton_secundario a, .portafolio_card .portafolio_botones .botones_ver a a, header .contenedor_texto_header .contenedor_botones_header a.descargar_cv a, .boton_principal a, .habilidades .card_lenguaje .boton_saber_mas a, .portafolio_card .portafolio_botones button a, header .contenedor_texto_header .contenedor_botones_header a.contactame a {
  text-decoration: none;
  color: rgba(238, 238, 238, 0.8);
}

.boton_principal, .habilidades .card_lenguaje .boton_saber_mas, .portafolio_card .portafolio_botones button, header .contenedor_texto_header .contenedor_botones_header a.contactame {
  background-color: #552e90;
  -webkit-transition: background-color 0.5s;
  transition: background-color 0.5s;
}
.boton_principal:hover, .habilidades .card_lenguaje .boton_saber_mas:hover, .portafolio_card .portafolio_botones button:hover, header .contenedor_texto_header .contenedor_botones_header a.contactame:hover {
  background-color: #6b3bb7;
}

.boton_secundario, .portafolio_card .portafolio_botones .botones_ver a, header .contenedor_texto_header .contenedor_botones_header a.descargar_cv {
  background-color: transparent;
  border: solid #6034a4;
  -webkit-transition: border, -webkit-box-shadow 0.5s;
  transition: border, -webkit-box-shadow 0.5s;
  transition: border, box-shadow 0.5s;
  transition: border, box-shadow 0.5s, -webkit-box-shadow 0.5s;
}
.boton_secundario:hover, .portafolio_card .portafolio_botones .botones_ver a:hover, header .contenedor_texto_header .contenedor_botones_header a.descargar_cv:hover {
  border: solid #6b3bb7;
  -webkit-box-shadow: 0px 0px 10px 0px #7847c4;
          box-shadow: 0px 0px 10px 0px #7847c4;
}

/*=============================================
=                MARK:Estulos Header                   
=============================================*/
header {
  background: -webkit-gradient(linear, left bottom, left top, from(#221e22), color-stop(70%, #31263e));
  background: linear-gradient(0deg, #221e22 0%, #31263e 70%);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
header section {
  width: 1200px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
header section img {
  width: 568px;
  max-width: 50%;
  aspect-ratio: 568/595;
  -o-object-fit: contain;
     object-fit: contain;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
header .contenedor_texto_header {
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-right: 20px;
  max-width: 50%;
}
header .contenedor_texto_header h2 {
  text-align: center;
  font-size: clamp(1.5em, 3.5vw, 50px);
}
header .contenedor_texto_header p {
  margin-top: clamp(1em, 3.5vw, 80px);
  margin-bottom: clamp(1em, 3.5vw, 80px);
  font-size: clamp(1em, 1.05vw, 25px);
}
header .contenedor_texto_header .contenedor_botones_header {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 15px;
}
header .contenedor_texto_header .contenedor_botones_header a {
  text-decoration: none;
}
/*=============================================
=                 MARK:Responsive                 
=============================================*/
@media (width > 770px) {
  header section {
    margin-top: 30px;
    margin-bottom: 20px;
  }
}
@media (width <= 770px) {
  header section {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    flex-direction: column-reverse;
    margin-bottom: 30px;
  }
  header .contenedor_texto_header {
    margin-top: 20px;
    margin-right: 0px;
    max-width: 100%;
  }
  header section img {
    max-width: 70%;
  }
}
@media (width <= 360px) {
  header section img {
    max-width: 100%;
  }
  .contenedor_botones_header {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}
/*============  End of Responsive  =============*/
@-webkit-keyframes moveBackground {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -18000px 0;
  }
}
@keyframes moveBackground {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -18000px 0;
  }
}
.fondo {
  background-image: url("../img/webp/fondo2.webp");
  background-repeat: repeat space;
  -webkit-animation: moveBackground 1800s linear infinite;
          animation: moveBackground 1800s linear infinite;
}

.portafolio_contenedor {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

.portafolio {
  margin-top: 30px;
  margin-bottom: 30px;
  width: 1200px;
}
.portafolio h2 {
  font-size: 2.5em;
  color: #865aca;
}
.portafolio .portafolio_parrafo_intro {
  font-size: 1.2em;
}
.portafolio h2,
.portafolio div {
  text-align: center;
}
.portafolio .contenedor_cards {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 20px;
  margin-top: 20px;
  -webkit-perspective: 2800;
          perspective: 2800;
}

.portafolio_card {
  background-color: #31263e;
  padding: 15px;
  border-radius: 15px;
  width: 48%;
  max-width: 400px;
  position: relative;
  -webkit-transform-style: preserve-3d;
          transform-style: preserve-3d;
  -webkit-transition: -webkit-transform 0.5s;
  transition: -webkit-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.portafolio_card .contenedor_header_tecnologias {
  z-index: -10;
}
.portafolio_card .portafolio_header p {
  text-align: center;
  margin-bottom: 10px;
  font-size: 1.5em;
  font-weight: bold;
  margin-bottom: 25px;
  z-index: 1;
}
.portafolio_card .portafolio_header img {
  max-width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  aspect-ratio: 185/139;
  border-radius: 15px;
}
.portafolio_card .portafolio_header .imagen_card {
  position: relative;
}
.portafolio_card .portafolio_header .tipo {
  bottom: 0;
  margin: 3.5%;
  border-radius: 5px;
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
  padding: 5px;
  font-size: 0.85em;
}
@media (width > 650px) {
  .portafolio_card .portafolio_header .tipo.right {
    right: 0;
  }
}
.portafolio_card .portafolio_tecnologias {
  margin-bottom: 30px;
}
.portafolio_card .portafolio_tecnologias p {
  font-size: 1.3em;
  font-weight: bold;
  margin-top: 25px;
}
.portafolio_card .portafolio_tecnologias .etiquetas_tecnologias {
  padding-top: 10px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 1em;
}
.portafolio_card .portafolio_tecnologias .etiquetas_tecnologias img {
  aspect-ratio: 1/1;
}
.portafolio_card .portafolio_botones {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}
.portafolio_card .portafolio_botones .botones_ver {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 20px;
  margin-bottom: 15px;
}
.portafolio_card .portafolio_botones .botones_ver a {
  text-decoration: none;
  width: 50%;
}
.portafolio_card .portafolio_botones .botones_ver a.solitario {
  width: 100%;
}
.portafolio_back {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-transform: rotateY(180deg);
          transform: rotateY(180deg);
  -webkit-transition: -webkit-transform 0.5s;
  transition: -webkit-transform 0.5s;
  transition: transform 0.5s;
  transition: transform 0.5s, -webkit-transform 0.5s;
  z-index: -1000;
  -webkit-transition: opacity 0.2s;
  transition: opacity 0.2s;
  opacity: 0;
  padding: 15px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}
.portafolio_back p {
  font-size: 1.5em;
  font-weight: bold;
  margin-bottom: 20px;
}
.portafolio_back .contenedor_portafolio_back {
  overflow: hidden;
}
.portafolio_back .contenido_back {
  text-align: left;
  -webkit-transition: opacity 0.2s;
  transition: opacity 0.2s;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  visibility: hidden;
}
.portafolio_back .contenido_back ul.estiloLista {
  padding-left: 20px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 10px;
}
.portafolio_back .contenedor_texto_back {
  max-height: calc(100% - 2.5em);
  overflow: scroll;
}
.portafolio_back .parrafoLink {
  text-align: left;
}
.portafolio_back .parrafoLink a {
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  color: rgba(238, 238, 238, 0.8);
}
.portafolio_back .parrafoLink a:hover {
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  color: white;
}
.portafolio_back button {
  margin-top: 20px;
}

/*=============================================
=               MARK:Responsive                   
=============================================*/
@media (width < 770px) {
  .portafolio h2 {
    font-size: 1.8em;
  }
  .portafolio .portafolio_parrafo_intro {
    font-size: 1em;
  }
  .portafolio .portafolio_header p {
    font-size: 1.1em;
  }
  .portafolio .portafolio_tecnologias p {
    font-size: 1em;
  }
  .portafolio .contenedor_cards {
    gap: 10px;
  }
  .portafolio_card .portafolio_botones .botones_ver {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    gap: 15px;
  }
  .portafolio_card .portafolio_botones .botones_ver button,
  .portafolio_card .portafolio_botones .botones_ver a {
    font-size: 1em;
    width: 100%;
  }
  .portafolio_card .portafolio_botones button {
    font-size: 1em;
  }
  .portafolio_back p {
    font-size: 1.1em;
  }
  .portafolio_back button {
    font-size: 1em;
  }
}
@media (width <= 650px) {
  .portafolio_card {
    width: 100%;
  }
  .portafolio .contenedor_cards {
    gap: 20px;
  }
}
@media (width < 360px) {
  .portafolio_card {
    padding: 10px;
  }
  .portafolio_card .portafolio_header .imagen_card {
    position: relative;
  }
  .portafolio_card .portafolio_header .tipo {
    font-size: 0.7em;
  }
}
/*============  End of Responsive  =============*/
.lenguaje {
  font-size: 1em;
  border-radius: 20px;
  padding: 7px 25px 7px 25px;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 0.2em;
  background-color: #44355b;
}
.lenguaje img {
  width: 1.5em;
}

.habilidades_contenedor {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 20px;
}

.habilidades {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  max-width: 900px;
  gap: 20px;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  /* Subsection
  -------------------------------------------------- */
}
.habilidades .lenguajes {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 20px;
}
.habilidades .otras_habilidades {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 20px;
  height: -webkit-fit-content;
  height: -moz-fit-content;
  height: fit-content;
}
.habilidades .card_lenguaje {
  width: 150px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  background-color: rgba(49, 38, 62, 0.5);
  padding: 15px;
  border-radius: 10px;
  gap: 10px;
  border: 3px solid #44355b;
  position: relative;
  overflow: hidden;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.habilidades .card_lenguaje img {
  aspect-ratio: 1/1;
}
.habilidades .card_lenguaje .nombre {
  text-align: center;
  font-weight: bold;
}
.habilidades .card_lenguaje .boton_saber_mas {
  border-radius: 10px;
  padding: 10px;
  font-size: 1em;
}

/* Animación de reflejo */
@-webkit-keyframes reflejoLuz {
  0% {
    left: -250%;
  }
  50% {
    left: 150%;
  }
  100% {
    left: 150%;
  }
}
@keyframes reflejoLuz {
  0% {
    left: -250%;
  }
  50% {
    left: 150%;
  }
  100% {
    left: 150%;
  }
}
/* Efecto de reflejo */
.card_lenguaje::before {
  content: "";
  position: absolute;
  top: -100px;
  left: -150%;
  width: 100%;
  height: 300%;
  -webkit-transform: rotate(25deg);
          transform: rotate(25deg);
  background: -webkit-gradient(linear, left top, right top, from(rgba(255, 255, 255, 0)), color-stop(50%, rgba(255, 255, 255, 0.07)), to(rgba(255, 255, 255, 0)));
  background: linear-gradient(90deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.07) 50%, rgba(255, 255, 255, 0) 100%);
  -webkit-animation: reflejoLuz 5s infinite;
          animation: reflejoLuz 5s infinite;
  -webkit-animation-delay: 5s;
          animation-delay: 5s;
}

/*=============================================
=                MARK:Responsive                   
=============================================*/
@media (width < 360px) {
  .habilidades .card_lenguaje {
    max-width: 120px;
  }
}
/*============  End of Responsive  =============*/
.sobre_mi_contenedor {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
}

.sobre_mi {
  max-width: 1200px;
  margin-top: 20px;
  margin-bottom: 30px;
}
.sobre_mi .texto {
  background-color: #31263e;
  padding: 20px;
  border-radius: 10px;
  border-left: 5px solid #7847c4;
  font-size: 1.1em;
  line-height: 1.4;
  position: relative;
  -webkit-box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.3137254902);
          box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.3137254902);
}
.sobre_mi .texto::before {
  content: "";
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-bottom: 20px solid #31263e;
  position: absolute;
  top: -20px;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.sobre_mi .texto p {
  margin-top: 20px;
  margin-bottom: 20px;
}
.sobre_mi .comilla_arriba,
.sobre_mi .comilla_abajo {
  width: 3em;
  position: absolute;
  -webkit-filter: drop-shadow(4px 4px 3px rgba(0, 0, 0, 0.1647058824));
          filter: drop-shadow(4px 4px 3px rgba(0, 0, 0, 0.1647058824));
  aspect-ratio: 59/50;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.sobre_mi .comilla_arriba {
  top: -20px;
}
.sobre_mi .comilla_abajo {
  -webkit-transform: rotate(180deg);
          transform: rotate(180deg);
  right: 20px;
  bottom: -20px;
}

/*=============================================
=                   MARK:Resposive                   
=============================================*/
@media (width <= 770px) {
  .sobre_mi .texto p {
    margin-top: 10px;
    margin-bottom: 10px;
  }
  .sobre_mi .texto .comilla_arriba,
  .sobre_mi .texto .comilla_abajo {
    width: 2em;
  }
  .sobre_mi .texto .comilla_arriba {
    top: -15px;
  }
  .sobre_mi .texto .comilla_abajo {
    bottom: -15px;
  }
}
/*============  End of Resposive  =============*/
.contacto_contenedor {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  margin-top: 30px;
}
.contacto_contenedor .seccion_intro {
  margin-bottom: 20px;
  text-shadow: 0px 0px 5px rgba(0, 0, 0, 0.4431372549);
}

.contenedor2 {
  width: 100%;
  border-radius: 20px 20px 0 0;
  max-width: 1200px;
  background-color: #31263e;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 40px;
  border-top: 3px solid #7847c4;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='400' height='400' viewBox='0 0 800 800'%3E%3Cg fill='none' stroke='%2344355B' stroke-width='1'%3E%3Cpath d='M769 229L1037 260.9M927 880L731 737 520 660 309 538 40 599 295 764 126.5 879.5 40 599-197 493 102 382-31 229 126.5 79.5-69-63'/%3E%3Cpath d='M-31 229L237 261 390 382 603 493 308.5 537.5 101.5 381.5M370 905L295 764'/%3E%3Cpath d='M520 660L578 842 731 737 840 599 603 493 520 660 295 764 309 538 390 382 539 269 769 229 577.5 41.5 370 105 295 -36 126.5 79.5 237 261 102 382 40 599 -69 737 127 880'/%3E%3Cpath d='M520-140L578.5 42.5 731-63M603 493L539 269 237 261 370 105M902 382L539 269M390 382L102 382'/%3E%3Cpath d='M-222 42L126.5 79.5 370 105 539 269 577.5 41.5 927 80 769 229 902 382 603 493 731 737M295-36L577.5 41.5M578 842L295 764M40-201L127 80M102 382L-261 269'/%3E%3C/g%3E%3Cg fill='%237847C4'%3E%3Ccircle cx='769' cy='229' r='5'/%3E%3Ccircle cx='539' cy='269' r='5'/%3E%3Ccircle cx='603' cy='493' r='5'/%3E%3Ccircle cx='731' cy='737' r='5'/%3E%3Ccircle cx='520' cy='660' r='5'/%3E%3Ccircle cx='309' cy='538' r='5'/%3E%3Ccircle cx='295' cy='764' r='5'/%3E%3Ccircle cx='40' cy='599' r='5'/%3E%3Ccircle cx='102' cy='382' r='5'/%3E%3Ccircle cx='127' cy='80' r='5'/%3E%3Ccircle cx='370' cy='105' r='5'/%3E%3Ccircle cx='578' cy='42' r='5'/%3E%3Ccircle cx='237' cy='261' r='5'/%3E%3Ccircle cx='390' cy='382' r='5'/%3E%3C/g%3E%3C/svg%3E");
}

.contacto {
  max-width: 1200px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 50px;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.contacto__seccion {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 50px;
}
.contacto .metodo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.contacto .metodo .logo_aplicacion {
  padding-right: 15px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.contacto .metodo .logo_aplicacion img {
  width: 2.8em;
  aspect-ratio: 1/1;
  -webkit-filter: drop-shadow(4px 4px 3px rgba(0, 0, 0, 0.1647058824));
          filter: drop-shadow(4px 4px 3px rgba(0, 0, 0, 0.1647058824));
}
.contacto .metodo .nombre_aplicacion a {
  font-size: 1.8em;
  color: rgba(238, 238, 238, 0.8);
  text-decoration: none;
  -webkit-transition: color 0.5s;
  transition: color 0.5s;
  font-weight: bold;
}
.contacto .metodo .nombre_aplicacion a.telegram:hover {
  color: #229ED9;
}
.contacto .metodo .nombre_aplicacion a.whatsapp:hover {
  color: #4bc759;
}
.contacto .metodo .nombre_aplicacion a.linkedin:hover {
  color: #0070a8;
}
.contacto .metodo .nombre_aplicacion a.email:hover {
  color: #FCD063;
}
.contacto .metodo.email {
  padding-left: 2px;
}

/*=============================================
=                  MARK:Responsive                   
=============================================*/
@media (width < 770px) {
  .contacto .nombre_aplicacion {
    font-size: 0.8em;
  }
  .contacto .metodo .logo_aplicacion img {
    width: 2.5em;
  }
}
@media (width <= 990px) {
  .contacto {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  .contacto__seccion {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    gap: 50px;
  }
  .contacto .metodo {
    width: 100%;
    max-width: 211px;
  }
}
@media (width <= 770px) {
  .contacto .metodo {
    max-width: 176px;
  }
}
@media (width <= 545px) {
  .contacto {
    gap: 30px;
  }
  .contacto__seccion {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 30px;
  }
  .contacto .metodo {
    max-width: 168px;
  }
  .contacto .nombre_aplicacion {
    font-size: 0.8em;
  }
  .contacto .metodo .logo_aplicacion img {
    width: 2em;
  }
}
@media (width <= 455px) {
  .contacto .metodo {
    max-width: 150px;
  }
  .contacto .nombre_aplicacion {
    font-size: 0.7em;
  }
  .contacto .metodo .logo_aplicacion img {
    width: 1.8em;
  }
}
@media (width <= 410px) {
  .contacto .metodo {
    max-width: 106px;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 10px;
  }
  .contacto .metodo .logo_aplicacion {
    padding-right: 0;
  }
  .contacto .nombre_aplicacion {
    font-size: 0.8em;
  }
  .contacto .metodo .logo_aplicacion img {
    width: 2em;
  }
}
@media (width <= 320px) {
  .contacto__seccion {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  .contacto .metodo {
    max-width: -webkit-max-content;
    max-width: -moz-max-content;
    max-width: max-content;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    gap: 10px;
  }
  .contacto .metodo .logo_aplicacion {
    padding-right: 0;
  }
  .contacto .nombre_aplicacion {
    font-size: 0.8em;
  }
  .contacto .metodo .logo_aplicacion img {
    width: 2em;
  }
}
/*============  End of Responsive  =============*/
footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  color: #b194dd;
  text-align: center;
}

.footer {
  max-width: 1200px;
  background-color: #31263e;
  padding: 0px 15px 15px 15px;
}
.footer a {
  color: #b194dd;
}